aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/scripts
diff options
context:
space:
mode:
authortilghman <tilghman@f38db490-d61c-443f-a65b-d21fe96a405b>2008-05-05 03:22:25 +0000
committertilghman <tilghman@f38db490-d61c-443f-a65b-d21fe96a405b>2008-05-05 03:22:25 +0000
commit8c81e75f01dba357cc365e5fa4ff609d0d9e4b85 (patch)
tree1a58861d17c0c67338df468dd0866d7c0cf51fc0 /contrib/scripts
parent8e65ea9bd92da2a7ae784128210bb3d6b3535038 (diff)
When starting Asterisk, bug out if Asterisk is already running.
(closes issue #12525) Reported by: explidous Patches: 20080428__bug12525.diff.txt uploaded by Corydon76 (license 14) Tested by: mvanbaak git-svn-id: http://svn.digium.com/svn/asterisk/branches/1.4@115285 f38db490-d61c-443f-a65b-d21fe96a405b
Diffstat (limited to 'contrib/scripts')
-rw-r--r--contrib/scripts/safe_asterisk10
1 files changed, 9 insertions, 1 deletions
diff --git a/contrib/scripts/safe_asterisk b/contrib/scripts/safe_asterisk
index 14d9b35ec..1cb5e8006 100644
--- a/contrib/scripts/safe_asterisk
+++ b/contrib/scripts/safe_asterisk
@@ -26,13 +26,21 @@ PRIORITY=0
# set to the system's maximum files open devided by two, if not set here.
# MAXFILES=32768
+# Check if Asterisk is already running. If it is, then bug out, because
+# starting safe_asterisk when Asterisk is running is very bad.
+VERSION=`${ASTSBINDIR}/asterisk -rx 'core show version'`
+if [ "${VERSION:0:8}" = "Asterisk" ]; then # otherwise "Unable t"
+ echo "Asterisk is already running. $0 will exit now."
+ exit 1
+fi
+
# since we're going to change priority and open files limits, we need to be
# root. if running asterisk as other users, pass that to asterisk on the command
# line.
# if we're not root, fall back to standard everything.
if [ `id -u` != 0 ]
then
- echo "Ops. I'm not root. Falling back to standard prio and file max." >&2
+ echo "Oops. I'm not root. Falling back to standard prio and file max." >&2
echo "This is NOT suitable for large systems." >&2
PRIORITY=0
else